function SEn = wp_SEn(X) 

T=wpdec(X,3,'db6');
% plot(T);
ca1=wpcoef(T,[3,0]);
ca2=wpcoef(T,[3,1]);
ca3=wpcoef(T,[3,2]);
ca4=wpcoef(T,[3,3]);
ca5=wpcoef(T,[3,4]);
ca6=wpcoef(T,[3,5]);
ca7=wpcoef(T,[3,6]);
ca8=wpcoef(T,[3,7]);
% subplot(421),plot(ca1),title('3.0');
% subplot(422),plot(ca2),title('3.1');
% subplot(423),plot(ca3),title('3.2');
% subplot(424),plot(ca4),title('3.3');
% subplot(425),plot(ca5),title('3.4');
% subplot(426),plot(ca6),title('3.5');
% subplot(427),plot(ca7),title('3.6');
% subplot(428),plot(ca8),title('3.7');
SEn1 = sampleEntropy(ca1, 2, 0.2*std(ca1), 1);
SEn2 = sampleEntropy(ca2, 2, 0.2*std(ca2), 1);
SEn3 = sampleEntropy(ca3, 2, 0.2*std(ca3), 1);
SEn4 = sampleEntropy(ca4, 2, 0.2*std(ca4), 1);
SEn5 = sampleEntropy(ca5, 2, 0.2*std(ca5), 1);
SEn6 = sampleEntropy(ca6, 2, 0.2*std(ca6), 1);
SEn7 = sampleEntropy(ca7, 2, 0.2*std(ca7), 1);
SEn8 = sampleEntropy(ca8, 2, 0.2*std(ca8), 1);
SEn = [SEn1,SEn2,SEn3,SEn4,SEn5,SEn6,SEn7,SEn8];

% E8=norm(ca8,'fro')^2;
% E7=norm(ca7,'fro')^2;
% E6=norm(ca6,'fro')^2;
% E5=norm(ca5,'fro')^2;
% E4=norm(ca4,'fro')^2;
% E3=norm(ca3,'fro')^2;
% E2=norm(ca2,'fro')^2;
% E1=norm(ca1,'fro')^2;
% 
% E=E1+E2+E3+E4+E5+E6+E7+E8;
% data = [E1/E,E2/E,E3/E,E4/E,E5/E,E6/E,E7/E,E8/E];
% figure
% b = bar(data);
% ch = get(b,'children');
% ylabel('ÄÜÁ¿');




